it-swarm.com.de

Wie installiere ich eine bestimmte Version eines Pakets mit pip?

Mögliches Duplikat:
Installieren bestimmter Paketversionen mit Pip

Ich bin ein bisschen neu in pip install und virtualenv im Allgemeinen.

Ich habe eine virtuelle Umgebung auf meinem Server sowie in meiner lokalen Entwicklungsumgebung eingerichtet.

Auf dem Server das Paket Django_modeltranslation-0.4.0_beta2 funktioniert einwandfrei.

Jedoch auf meinem lokalen Rechner Django_modeltranslation-0.5.0-alpha scheint überhaupt nicht gut zu funktionieren.

Normalerweise installiere ich es einfach in virtual-env wie folgt:

$ source bin/active
(env)$ pip install Django_modeltranslation

Dies ist jedoch die neueste Version, die jetzt zum ersten Mal Probleme mit der neuesten Version verursacht.

So habe ich die Version 5 Alpha wie folgt deinstalliert:

(env)$ pip uninstall Django_modeltranslation

Aber jetzt weiß ich nicht, wie ich die funktionierende Version 0.4.0 Beta wiederbekommen könnte. Ich habe es versucht, aber es konnte es nicht finden:

(env)$ pip install Django_modeltranslation-0.4.0_beta2
Downloading/unpacking Django-modeltranslation-0.4.0-beta2
  Could not find any downloads that satisfy the requirement Django-modeltranslation-0.4.0-beta2
No distributions at all found for Django-modeltranslation-0.4.0-beta2

Ich denke, es muss einen Weg geben, da dies der springende Punkt bei der Verwendung von Virtual Env ist.

118
Houman

Verwenden ==:

pip install Django_modeltranslation==0.4.0-beta2
210
Martijn Pieters